=== debian/changelog ===
ros-indigo-cv-bridge (1.11.16-0trusty) trusty; urgency=high

  * Silence warnings about un-used variables
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * export OpenCV variables
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-indigo-cv-bridge (1.11.15-0trusty) trusty; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
    This commit addresses this issue for cv_bridge in the same way
    it was done in the commit ead421b8 [1] for image_geometry.
    This issue was also addressed in various other ROS packages.
    A list of related commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    [1] https://github.com/ros-perception/vision_opencv/commit/ead421b85eeb750cbf7988657015296ed6789bcf
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * cv_bridge: Add missing test_depend on numpy
  * Contributors: Kentaro Wada, Lukas Bulwahn, Maarten de Vries, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 23:00:00 -0000

ros-indigo-cv-bridge (1.11.14-0trusty) trusty; urgency=high

  * Specify background label when colorizing label image
  * Adjust to arbitrary image channels like 32FC40
    Proper fix for #141 <https://github.com/ros-perception/vision_opencv/issues/141>
  * Remove unexpectedly included print statement
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-indigo-cv-bridge (1.11.13-0trusty) trusty; urgency=high

  * split the conversion tests out of enumerants
  * support is_bigendian in Python
    Fixes #114 <https://github.com/ros-perception/vision_opencv/issues/114>
    Also fixes mono16 test
  * Support compressed Images messages in python for indigo
    - Add cv2_to_comprssed_imgmsg: Convert from cv2 image to compressed image ros msg.
    - Add comprssed_imgmsg_to_cv2:   Convert the compress message to a new image.
    - Add compressed image tests.
    - Add time to msgs (compressed and regular).
    add enumerants test for compressed image.
    merge the compressed tests with the regular ones.
    better comment explanation. I will squash this commit.
    Fix indentation
    fix typo mistage: from .imgmsg_to_compressed_cv2 to .compressed_imgmsg_to_cv2.
    remove cv2.CV_8UC1
    remove rospy and time depndency.
    change from IMREAD_COLOR to IMREAD_ANYCOLOR.
    - make indentaion of 4.
    - remove space trailer.
    - remove space from empty lines.
    - another set of for loops, it will make things easier to track. In that new set,  just have the number of channels in ([],1,3,4) (ignore two for jpg). from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721943
    - keep the OpenCV error message. from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721013
    add debug print for test.
    add case for 4 channels in test.
    remove 4 channels case from compressed test.
    add debug print for test.
    change typo of format.
    fix typo in format. change from dip to dib.
    change to IMREAD_ANYCOLOR as python code. (as it should).
    rename TIFF to tiff
    Sperate the tests one for regular images and one for compressed.
    update comment
  * Add CvtColorForDisplayOptions with new colormap param
  * fix doc jobs
  * Add python binding for cv_bridge::cvtColorForDisplay
  * Fix compilation of cv_bridge with opencv3 and python3.
  * Don't colorize float image as label image
    This is a bug and image whose encoding is other than 32SC1 should not be
    colorized. (currently, depth images with 32FC1 is also colorized.)
  * Contributors: Kentaro Wada, Maarten de Vries, Vincent Rabaud, talregev

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-cv-bridge (1.11.12-0trusty) trusty; urgency=high

  * Fix my typo
  * Remove another eval
    Because cvtype2_to_dtype_with_channels('8UCimport os; os.system("rm -rf /")') should never have a chance of happening.
  * Remove eval, and other fixes
    Also, extend from object, so as not to get a python 2.2-style class, and use the new-style raise statement
  * Contributors: Eric Wieser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Mar 2016 23:00:00 -0000

ros-indigo-cv-bridge (1.11.11-0trusty) trusty; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Jan 2016 23:00:00 -0000

ros-indigo-cv-bridge (1.11.10-0trusty) trusty; urgency=high

  * fix OpenCV3 build
  * Describe about converting label to bgr image in cvtColorForDisplay
  * Convert label to BGR image to display
  * Add test for rgb_colors.cpp
  * Add rgb_colors util
  * Update doc for converting to BGR in cvtColorForDisplay
  * Convert to BGR from any encoding
  * Refactor: sensor_msgs::image_encodings -> enc
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Jan 2016 23:00:00 -0000

ros-indigo-cv-bridge (1.11.9-0trusty) trusty; urgency=high

  * deal with endianness
  * add cvtColorForDisplay

