=== debian/control ===
Source: ros-indigo-cv-bridge
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, python-dev, python-numpy, python-opencv, ros-indigo-catkin (>= 0.5.68), ros-indigo-rosconsole, ros-indigo-rostest, ros-indigo-sensor-msgs
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-indigo-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, python-dev, python-opencv, ros-indigo-rosconsole, ros-indigo-sensor-msgs
Description: This contains CvBridge, which converts between ROS Image messages and OpenCV images.
